import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { TitleProps } from '../../atoms/Title/Title';
import { BadgeProps } from '../../molecules/Badge/Badge';
import { ButtonProps } from '../../molecules/Button/Button';
import { Feature3Props } from '../../organisms/Feature3/Feature3';
export interface FeatureSection4Props {
    imageUrls: string[];
    badgeProps: BadgeProps;
    subTitleProps: TitleProps;
    titleProps: TitleProps;
    descriptionProps: ParagraphProps;
    featuresProps: Feature3Props[];
    buttonsProps: ButtonProps[];
    backgroundImage?: string;
    backgroundColor?: string;
    isMobile?: boolean;
}
declare function FeatureSection4(props: FeatureSection4Props): import("react/jsx-runtime").JSX.Element;
declare namespace FeatureSection4 {
    var defaultProps: {
        imageUrls: string[];
        badgeProps: {
            size: string;
            round: string;
            content: string;
            backgroundColor: string;
            color: string;
            icon: any;
            iconPosition: string;
            iconSize: number;
            isVisible: boolean;
        };
        subTitleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        titleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        descriptionProps: {
            content: string;
            size: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        featuresProps: {
            thumbnail: string;
            imageUrls: string[];
            badgeProps: {
                size: string;
                round: string;
                content: string;
                backgroundColor: string;
                color: string;
                icon: any;
                iconPosition: string;
                iconSize: number;
                isVisible: boolean;
            };
            subTitleProps: {
                size: string;
                content: string;
                color: string;
                partialColors: string[];
                fontWeight: string;
                highlight: {
                    height: number;
                    color: string;
                    isVisible: boolean;
                };
                isMobile: boolean;
                isVisible: boolean;
                isFullWidth: boolean;
                textAlign: string;
            };
            titleProps: {
                size: string;
                content: string;
                color: string;
                partialColors: string[];
                fontWeight: string;
                highlight: {
                    height: number;
                    color: string;
                    isVisible: boolean;
                };
                isMobile: boolean;
                isVisible: boolean;
                isFullWidth: boolean;
                textAlign: string;
            };
            descriptionProps: {
                content: string;
                size: string;
                color: string;
                partialColors: string[];
                fontWeight: string;
                isMobile: boolean;
                isVisible: boolean;
                isFullWidth: boolean;
                textAlign: string;
            };
            backgroundColor: string;
            buttonProps: {
                buttonType: string;
                size: string;
                content: string;
                backgroundColor: string;
                color: string;
                border: {
                    width: number;
                    radius: number;
                    color: any;
                };
                icon: string;
                iconPosition: string;
                isLoading: boolean;
                isDisabled: boolean;
                isFullWidth: boolean;
            };
            isMobile: boolean;
            isReverse: boolean;
        }[];
        buttonsProps: any[];
        backgroundImage: string;
        backgroundColor: string;
        isMobile: boolean;
    };
}
export default FeatureSection4;
