import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { BadgeProps } from '../../molecules/Badge/Badge';
import { ButtonProps } from '../../molecules/Button/Button';
import { Member1Props } from '../../organisms/Member1/Member1';
import { TitleProps } from '../../atoms/Title/Title';
export interface MemberSection1Props {
    badgeProps: BadgeProps;
    subTitleProps: TitleProps;
    titleProps: TitleProps;
    descriptionProps: ParagraphProps;
    memberListProps: Member1Props[];
    buttonsProps: ButtonProps[];
    backgroundImage?: string;
    backgroundColor?: string;
    isMobile?: boolean;
}
declare function MemberSection1(props: MemberSection1Props): import("react/jsx-runtime").JSX.Element;
declare namespace MemberSection1 {
    var defaultProps: {
        badgeProps: {
            size: string;
            round: string;
            content: string;
            backgroundColor: string;
            color: string;
            icon: any;
            iconPosition: string;
            iconSize: number;
            isVisible: boolean;
        };
        subTitleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        titleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        descriptionProps: {
            content: string;
            size: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        memberListProps: any[];
        buttonsProps: any[];
        backgroundColor: string;
        isMobile: boolean;
    };
}
export default MemberSection1;
