import axios from 'axios';
import CONSTANT from '../constants';

class AxiosUtils {
  static TOKEN: string | null = null;
  static API = axios.create({ baseURL: CONSTANT.API_BASE_URL, withCredentials: true });

  private static async createHeaders() {
    // const isClient = typeof window !== 'undefined';
    // const token = isClient ? parseCookies().token : AxiosUtils.TOKEN;

    return {
      Authorization: AxiosUtils.TOKEN ? 'Bearer ' + AxiosUtils.TOKEN : null,
    };
  }

  static setToken(token: string) {
    AxiosUtils.TOKEN = token;
  }

  static async get(path: string, params?: any) {
    return AxiosUtils.API.get(path, {
      headers: await AxiosUtils.createHeaders(),
      params: params,
    });
  }

  static async post(path: string, requestBody?: any) {
    return AxiosUtils.API.post(path, requestBody, {
      headers: await AxiosUtils.createHeaders(),
    });
  }

  static async put(path: string, requestBody?: any) {
    return AxiosUtils.API.put(path, requestBody, {
      headers: await AxiosUtils.createHeaders(),
    });
  }

  static async delete(path: string) {
    return AxiosUtils.API.delete(path, {
      headers: await AxiosUtils.createHeaders(),
    });
  }
}

export default AxiosUtils;
